<div class="fieldset-legend">
        <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter" [selected]="true">
                    <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_dateCreate">Tanggal Request</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                    dateFormat="dd-mm-yy" 
                                                    [showIcon]="true"></p-calendar>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                                <div class="input-group input-calendar">
                                                    <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                        dateFormat="dd-mm-yy" 
                                                        [showIcon]="true"></p-calendar>
                                                </div>
                                            </div>
                                    </div>
                                </div>
                            </div>
                            <!-- <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.dateIVU">Tanggal IVU</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate3" name="input_dateCreate3"
                                                    dateFormat="dd-mm-yy" 
                                                    [showIcon]="true"></p-calendar>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate4" name="input_dateCreate4"
                                                    dateFormat="dd-mm-yy" 
                                                    [showIcon]="true"></p-calendar>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> -->

                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_" jhiTranslate="mpmApp.vehicleSalesOrder.status">Status</label>
                                    <select class="form-control">
                                        <option value="1">Open</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Dealer Tujuan</label>
                                    <select class="form-control">
                                        <option value="1">OTO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="btn-filter-wrapper">
                            <button type="button" class="btn btn-primary btn-filter">
                                <span>Filter</span>
                            </button>
                        </div>      
                </p-accordionTab>
            </p-accordion>
            
            <!-- <button pButton type="submit"
            icon="fa-th-list"
            class="ui-button-primary btn-sm"
            (click)="buildReindex()"
            *jhiHasAnyAuthority="['ROLE_ADMIN']">
            </button> -->
            
            <!-- <div>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-70 mt-2">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="Cari...">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                
                        <div class="col-md-6">
                            <div class="form-group">
                                <select class="form-control">
                                    <option value="1">Semua Kolom</option>
                                </select>
                                &nbsp;
                            </div>
                        </div>
                
                        <div class="btn-filter-wrapper">
                            <button type="button" class="btn btn-primary btn-filter">
                                <span>GO</span>
                            </button>
                        </div>
                    </div>
                </form>
            </div> -->

            <p-dataTable
            [value]="requestNotes"
            [editable]="true"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            dataKey="idreqnot"
            expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)"
            [(selection)]="selected"
            class="width-filter">
            <p-header>
                <jhi-alert></jhi-alert>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
           
            <p-column header="Nomor Request" >
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.reqnotnumber">
                    </div>{{rowData.reqnotnumber}}
                </ng-template>
            </p-column>

            <p-column header="Tanggal Request"  >
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.dtcreated">
                        {{rowData.dtcreated|date:'dd-MMM-yyyy'}}
                    </div>
                </ng-template>
            </p-column>

            <p-column header="Dealer Tujuan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.cabang">
                        {{rowData.cabang}}
                    </div>
                </ng-template>
                </ng-template>
            </p-column>

            <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.status">
                    </div>{{rowData.status}}
                </ng-template>
            </p-column>


            <p-column header="Detail"[style]="{'width': '70px', 'text-align': 'center'}" >
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit"
                    icon="fa-info-circle"
                    [routerLink]="['../request-note-detail', rowData.idreqnotdest]"
                    class="flat-button"
                    pTooltip="Detail">
                    </button>   
                </ng-template>
            </p-column>

            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
            </p-column>

            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>

        </p-dataTable>

        <!-- <div class="btn-filter-wrapper pull-right">
            <button (click)="saveUploadFaktur()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                <span>Cetak BAST</span>
            </button>
        </div> -->
        </p-tabPanel>
                
                
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>

<!-- <p-dialog [(visible)]="newTagihan" closable="true" responsive="true" width="480" modal="true">
    <p-header>
        Update Tagihan Leasing
    </p-header>

    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Nomor IVU</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx" disabled />
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Tanggal IVU</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx" disabled />
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Nilai IVU</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx" disabled />
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Nilai PO</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx"/>
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Tanggal PO</label>
        <div class="input-group input-calendar">
            <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                dateFormat="dd-mm-yy" 
                [showIcon]="true"></p-calendar>
        </div>
    </div>
    
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Kelengkapan Dokumen</label>        
        <p-checkbox name="groupname1" value="val1" label="Dok. BAST Unit" class="form-checkbox"></p-checkbox>
        <p-checkbox name="groupname2" value="val2" label="Kuitansi Tagihan" class="form-checkbox"></p-checkbox>
        <p-checkbox name="groupname3" value="val3" label="Gesekan NOKA dan NOSIN" class="form-checkbox"></p-checkbox>
        <p-checkbox name="groupname4" value="val4" label="Lampiran foto serah terima" class="form-checkbox"></p-checkbox>
    </div>
    
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Cover Note</label>        
        <div class="alert alert-secondary" role="alert">
            Belum Dicetak
        </div>
        <button class="btn btn-primary">Cetak Cover Note</button>         
    </div>

    <p-footer>
        <button type="button" class="btn btn-primary" (click)="newTagihan = !newTagihan">
            <span class="fa fa-check"></span>&nbsp;<span>Submit</span>
        </button>
    </p-footer>
</p-dialog> -->
<!-- <p-dialog [(visible)]="newPending" closable="true" responsive="true" width="480" modal="true">
    <p-header>
        Konfirmasi Pending
    </p-header>

    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Note</label>
        <textarea name="pending" class="form-control"></textarea>
    </div>

    <p-footer>
        <button type="button" class="btn btn-primary" (click)="newTagihan = !newTagihan">
            <span class="fa fa-check"></span>&nbsp;<span>Submit</span>
        </button>
    </p-footer>
</p-dialog> -->